Page MenuHomePhabricator

Deploy Noto fonts or their derivatives for Chinese (and J&K?)
Closed, ResolvedPublic

Description

Per meta:SVG fonts, WMF servers currently use the AR PL + WenQuanYi line -- the old fonts of the linux world -- for the Chinese language. Their position as defaults should be replaced by the newer Noto fonts for better glyph quality and more sensible font weights.

A comparison of some of those fonts is provided at https://commons.wikimedia.org/wiki/File:MediaWiki_SVG_Chinese_fonts.svg. Note the extermely light weight provided by UMing, which should be replaced by Noto CJK Serif Regular (not shown in image).

Variants for deployment

To save disk space, it may be desirable to deploy the Noto CJK fonts in OTC format, which reuses glyphs for all for langauges supported (zh-cn/zh-tw/ja-jp/ko-kr). Whether they should be used as defaults for Japanese and Korean is not something I can suggest.

Sarasa Gothic provides hinted variants that works better at medium-to-small pixel sizes (11~36px); it can be made to replace Noto Sans CJK with some fontconfig aliasing work. The CL variant corresponds to KR in Noto Sans CJK. For sizes smaller than 16px ("12pt") human-created bitmap fonts like WenQuanyi Bitmap may work better still.


In light of the good bad old Debian stale problem seen in T36947, please consider manually installing fontconfig 2.12+ if you want font weights to work properly (https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1556457).

Event Timeline

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptNov 20 2017, 12:17 AM
Platonides renamed this task from Depoly Noto fonts or their derivatives for Chinese (and J&K?) to Deploy Noto fonts or their derivatives for Chinese (and J&K?).Nov 20 2017, 12:36 AM
Arthur2e5 updated the task description. (Show Details)Dec 13 2017, 10:43 PM
Arthur2e5 updated the task description. (Show Details)Dec 13 2017, 10:46 PM

Per T184664 Noto fonts will soon be available for rendering SVG images.

Dzahn closed this task as Resolved.Jan 11 2018, 11:16 PM
Dzahn claimed this task.
Dzahn added a subscriber: Dzahn.

see T184664#3895870

noto fonts are now installed across mediawiki appservers, jessie and stretch have slightly different packages